Upsert Major Groups
post
/config/sim/v2/menuItems/upsertMajorGroups
Updates provided fields if the Major Group exists, else inserts a new Major Group.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Upsert request body
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique reference of the hierarchy unit of an EnterpriseExample:
1 -
name:
object name
Major Group Name. Required in case of inserting a new record.
-
objectNum(required):
integer
Object Number of the major groupExample:
1 -
reportGroup:
integer
Object number of the Report Group.Example:
1
Nested Schema : name
Type:
objectMajor Group Name. Required in case of inserting a new record.
Example:
{
"1":"Enterprise",
"2":"Unternehmen",
"3":"Empresa"
}Response
Supported Media Types
- application/json
200 Response
Major Groups Updated.
201 Response
Major Groups Added.